<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateViewingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: viewings
         */
        Schema::create('viewings', function ($table) {
            $table->increments('id');
            $table->integer('opportunity_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->string('title', 255)->nullable();
            $table->string('status', 100)->nullable();
            $table->text('description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('viewings');
    }
}
