<?php

namespace Bixo\Viewing;

use DB;
use Illuminate\Database\Seeder;

class ViewingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('viewings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'viewing.viewing.view',
                'name'      => 'View Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.create',
                'name'      => 'Create Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.edit',
                'name'      => 'Update Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.delete',
                'name'      => 'Delete Viewing',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'viewing.viewing.verify',
                'name'      => 'Verify Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.approve',
                'name'      => 'Approve Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.publish',
                'name'      => 'Publish Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.unpublish',
                'name'      => 'Unpublish Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.cancel',
                'name'      => 'Cancel Viewing',
            ],
            [
                'slug'      => 'viewing.viewing.archive',
                'name'      => 'Archive Viewing',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/viewing/viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/viewing/viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'viewing',
                'name'        => 'Viewing',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Viewing',
                'module'    => 'Viewing',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'viewing.viewing.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
