Lavalite package that provides viewing management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/viewing`.

    "bixo/viewing": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Viewing\Providers\ViewingServiceProvider::class,

And also add it to alias

    'Viewing'  => Bixo\Viewing\Facades\Viewing::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\ViewingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Viewing\Providers\ViewingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Viewing\Providers\ViewingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Viewing\Providers\ViewingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/viewing/{modulename}

**User**

    http://path-to-route-folder/user/viewing/{modulename}

**Public**

    http://path-to-route-folder/viewings


### API endpoints

**List**

    http://path-to-route-folder/api/user/viewing/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/viewing/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/viewing/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/viewing/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/viewing/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/viewing/{modulename}/{slug}
    METHOD: GET