<?php

namespace Bixo\Viewing\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ViewingTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Viewing\Models\Viewing $viewing)
    {
        return [
            'id'                => $viewing->getRouteKey(),
            'key'               => [
                'public'    => $viewing->getPublicKey(),
                'route'     => $viewing->getRouteKey(),
            ], 
            'opportunity_id'    => $viewing->opportunity_id,
            'agent_id'          => $viewing->agent_id,
            'listing_id'        => $viewing->listing_id,
            'title'             => $viewing->title,
            'description'       => $viewing->description,
            'deleted_at'        => $viewing->deleted_at,
            'url'               => [
                'public'    => trans_url('viewing/'.$viewing->getPublicKey()),
                'user'      => guard_url('viewing/viewing/'.$viewing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$viewing->status),
            'created_at'        => format_date($viewing->created_at),
            'updated_at'        => format_date($viewing->updated_at),
        ];
    }
}