<?php

namespace Bixo\Viewing;

use User;

class Viewing
{
    /**
     * $viewing object.
     */
    protected $viewing;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Viewing\Interfaces\ViewingRepositoryInterface $viewing)
    {
        $this->viewing = $viewing;
    }

    /**
     * Returns count of viewing.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.viewing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->viewing->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ViewingUserCriteria());
        }

        $viewing = $this->viewing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('viewing::' . $view, compact('viewing'))->render();
    }
}
