<?php

namespace Bixo\Viewing\Workflow;

use Bixo\Viewing\Models\Viewing;
use Bixo\Viewing\Notifications\ViewingWorkflow as ViewingNotifyer;
use Notification;

class ViewingNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function complete(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function verify(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function approve(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function publish(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function archive(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Viewing $viewing
     *
     * @return void
     */
    public function unpublish(Viewing $viewing)
    {
        return Notification::send($viewing->user, new ViewingNotifyer($viewing, 'unpublish'));;

    }
}
